%define revision 1617
%define archivename gyp-%{version}%{?revision:-svn%{revision}}

Name: gyp
Version: 0.1
Release: %mkrel -c svn%{revision} 8
Summary: Generate Your Projects
Group: Development/Tools
License: BSD
URL: http://code.google.com/p/gyp/
# No released tarball avaiable. so the tarball was generated
# from svn as following:
#
# 1. svn co http://gyp.googlecode.com/svn/trunk gyp
# 2. cd gyp
# 3. version=$(grep version= setup.py|cut -d\' -f2)
# 4. revision=$(svn info|grep -E "^Revision:"|cut -d' ' -f2)
# 5. tar -a --exclude-vcs -cf /tmp/gyp-$version-svn$revision.tar.bz2 *
Source0: %{archivename}.tar.bz2
Patch0: gyp-rpmoptflags.patch
BuildRequires: python-devel
BuildArch: noarch

%description
GYP is a tool to generates native Visual Studio, Xcode and SCons
and/or make build files from a platform-independent input format.

Its syntax is a universal cross-platform build representation
that still allows sufficient per-platform flexibility to accommodate
irreconcilable differences.

%prep
%setup -q -c -n %{archivename}
%patch0 -p1 -b .0-rpmoptflags
for i in $(find pylib -name '*.py'); do
	sed -e '\,#![ \t]*/.*python,{d}' $i > $i.new && touch -r $i $i.new && mv $i.new $i
done

%build
%{__python} setup.py build

%install
%{__python} setup.py install --root %{buildroot} --skip-build

%files
%doc AUTHORS LICENSE
%{_bindir}/gyp
%{python_sitelib}/*


%changelog
* Fri Jan 29 2016 umeabot <umeabot> 0.1-0.svn1617.8.mga6
+ Revision: 928876
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1-0.svn1617.7.mga5
+ Revision: 743195
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.1-0.svn1617.6.mga5
+ Revision: 726457
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1-0.svn1617.5.mga5
+ Revision: 680065
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.1-0.svn1617.4.mga5
+ Revision: 628249
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.1-0.svn1617.3.mga4
+ Revision: 542669
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 0.1-0.svn1617.2.mga4
+ Revision: 497778
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Sep 17 2013 fwang <fwang> 0.1-0.svn1617.1.mga4
+ Revision: 480755
- update for mga policy
- imported package gyp


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.11.1617svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Apr 23 2013 Akira TAGOH <tagoh@redhat.com> - 0.1-0.10.1617svn
- Rebase to r1617

* Tue Feb 12 2013 Akira TAGOH <tagoh@redhat.com> - 0.1-0.9.1569svn
- Rebase to r1569 (#908983)

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.8.1010svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.7.1010svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Aug 23 2011 Akira TAGOH <tagoh@redhat.com> - 0.1-0.6.1010svn
- Rebase to r1010.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.5.840svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Aug 20 2010 Akira TAGOH <tagoh@redhat.com> - 0.1-0.4.840svn
- Rebase to r840.
- generate Makefile with RPM_OPT_FLAGS in CCFLAGS.

* Fri Aug  6 2010 Akira TAGOH <tagoh@redhat.com> - 0.1-0.3.839svn
- Drop the unnecessary macro.

* Thu Aug  5 2010 Akira TAGOH <tagoh@redhat.com. - 0.1-0.2.839svn
- Update the spec file according to the suggestion in rhbz#621242.

* Wed Aug  4 2010 Akira TAGOH <tagoh@redhat.com> - 0.1-0.1.839svn
- Initial packaging.

